#include "posn.h"

#include <math.h>
#include <stdio.h>
#include <stdlib.h>

struct posn read_posn(void)
{
    struct posn p;

    int res = scanf("%lf%lf", &p.x, &p.y);

    if (res == 2) {
        return p;
    } else if (res == EOF) {
        exit(0);
    } else {
        exit(1);
    }
}

struct posn make_posn(double x, double y)
{
    struct posn result;
    result.x = x;
    result.y = y;
    return result;
}

double manhattan_dist(struct posn p, struct posn q)
{
    return fabs(p.x - q.x) + fabs(p.y - q.y);
}

