#include "../src/posn.h"
#include <assert.h>

void test_same(void)
{
    struct posn p = make_posn(0, 0);
    struct posn q = make_posn(3, 4);
    assert( manhattan_dist(p, p) == 0 );
    assert( manhattan_dist(q, q) == 0 );
}

void test_3plus4(void)
{
    struct posn p = make_posn(0, 0);
    struct posn q = make_posn(3, 4);
    assert( manhattan_dist(p, q) == 7 );
    assert( manhattan_dist(q, p) == 7 );
}

int main(void)
{
    test_same();
    test_3plus4();
}
